org.encog.neural.networks.training.propagation.resilient

## Class RPROPConst

- java.lang.Object
- - org.encog.neural.networks.training.propagation.resilient.RPROPConst

-     public final class RPROPConst
      extends Object

  Constants used for Resilient Propagation (RPROP) training.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `DEFAULT_INITIAL_UPDATE` The starting update for a delta.
    `static double` | `DEFAULT_MAX_STEP` The maximum amount a delta can reach.
    `static double` | `DEFAULT_ZERO_TOLERANCE` The default zero tolerance.
    `static double` | `DELTA_MIN` The minimum delta value for a weight matrix value.
    `static double` | `NEGATIVE_ETA` The NEGATIVE ETA value.
    `static double` | `POSITIVE_ETA` The POSITIVE ETA value.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ZERO_TOLERANCE

          public static final double DEFAULT_ZERO_TOLERANCE

      The default zero tolerance.
      See Also:
        Constant Field Values

    - #### POSITIVE_ETA

          public static final double POSITIVE_ETA

      The POSITIVE ETA value. This is specified by the resilient propagation algorithm. This is the percentage by which the deltas are increased by if the partial derivative is greater than zero.
      See Also:
        Constant Field Values

    - #### NEGATIVE_ETA

          public static final double NEGATIVE_ETA

      The NEGATIVE ETA value. This is specified by the resilient propagation algorithm. This is the percentage by which the deltas are increased by if the partial derivative is less than zero.
      See Also:
        Constant Field Values

    - #### DELTA_MIN

          public static final double DELTA_MIN

      The minimum delta value for a weight matrix value.
      See Also:
        Constant Field Values

    - #### DEFAULT_INITIAL_UPDATE

          public static final double DEFAULT_INITIAL_UPDATE

      The starting update for a delta.
      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_STEP

          public static final double DEFAULT_MAX_STEP

      The maximum amount a delta can reach.
      See Also:
        Constant Field Values

Copyright © 2014. All Rights Reserved.